<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>org.openautonomousconnection</groupId>
    <artifactId>WebServer</artifactId>
    <version>1.0.0-BETA.1.6</version>
    <organization>
        <name>Open Autonomous Connection</name>
        <url>https://open-autonomous-connection.org/</url>
    </organization>
    <url>https://open-autonomous-connection.org/</url>
    <description>The default DNS-Server</description>

    <properties>
        <maven.compiler.source>23</maven.compiler.source>
        <maven.compiler.target>23</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <distributionManagement>
        <repository>
            <id>oac</id>
            <name>WebServer</name>
            <url>https://repo.open-autonomous-connection.org/api/packages/open-autonomous-connection/maven</url>
        </repository>
    </distributionManagement>

    <developers>
        <developer>
            <name>UnlegitDqrk</name>
            <organization>Open Autonomous Connection</organization>
            <organizationUrl>https://open-autonomous-connection.org/</organizationUrl>
            <url>https://unlegitdqrk.dev/</url>
            <roles>
                <role>Owner</role>
                <role>Head Developer</role>
            </roles>
        </developer>
        <developer>
            <name>Maple</name>
            <organization>Open Autonomous Connection</organization>
            <organizationUrl>https://open-autonomous-connection.org/</organizationUrl>
            <url>https://niumaple.carrd.co/</url>
            <roles>
                <role>Owner</role>
                <role>Head Developer</role>
            </roles>
        </developer>
    </developers>

    <issueManagement>
        <system>Issue Tracker</system>
        <url>https://repo.open-autonomous-connection.org/open-autonomous-connection/WebServer/issues</url>
    </issueManagement>

    <licenses>
        <license>
            <name>Open Autonomous Public License (OAPL)</name>
            <url>https://open-autonomous-connection.org/license.html</url>
        </license>
        <license>
            <name>GNU General Public License v3.0</name>
            <url>https://www.gnu.org/licenses/gpl-3.0.html</url>
            <comments>
                Default license: Applies to all users and projects unless an explicit alternative license has been granted.
            </comments>
        </license>
        <license>
            <name>LPGL 3</name>
            <url>https://www.gnu.org/licenses/lgpl-3.0.html#license-text</url>
        </license>
        <license>
            <name>LPGL 2.1</name>
            <url>https://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.en#SEC1</url>
        </license>
        <license>
            <name>WTPL License</name>
            <url>https://github.com/ronmamo/reflections/tree/master?tab=WTFPL-1-ov-file</url>
        </license>
        <license>
            <name>Apache License 2.0</name>
            <url>https://www.apache.org/licenses/LICENSE-2.0.txt</url>
        </license>
        <license>
            <name>MIT License</name>
            <url>https://opensource.org/license/mit</url>
        </license>
        <license>
            <name>javassist</name>
            <url>https://github.com/jboss-javassist/javassist/blob/master/License.html</url>
        </license>
        <license>
            <name>projectlombok</name>
            <url>https://github.com/projectlombok/lombok?tab=License-1-ov-file</url>
        </license>
    </licenses>

    <repositories>
        <repository>
            <id>oac</id>
            <url>https://repo.open-autonomous-connection.org/api/packages/open-autonomous-connection/maven</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>

    <dependencies>
        <dependency>
            <groupId>org.openautonomousconnection</groupId>
            <artifactId>Protocol</artifactId>
            <version>1.0.0-BETA.7.2</version>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.18.38</version>
            <scope>provided</scope>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-shade-plugin</artifactId>
                <version>3.6.0</version>
                <executions>
                    <execution>
                        <phase>package</phase>
                        <goals>
                            <goal>shade</goal>
                        </goals>
                        <configuration>
                            <transformers>
                                <transformer implementation="org.apache.maven.plugins.shade.resource.ManifestResourceTransformer">
                                    <mainClass>org.openautonomousconnection.webserver.Main</mainClass>
                                </transformer>
                            </transformers>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-source-plugin</artifactId>
                <version>3.3.0</version>
                <executions>
                    <execution>
                        <id>attach-sources</id>
                        <goals>
                            <goal>jar</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-javadoc-plugin</artifactId>
                <version>3.6.3</version>
                <configuration>
                    <failOnError>false</failOnError>
                    <failOnWarnings>false</failOnWarnings>
                    <doclint>none</doclint>
                    <locale>en_US</locale>
                    <encoding>UTF-8</encoding>
                    <docencoding>UTF-8</docencoding>
                    <charset>UTF-8</charset>
                </configuration>
                <executions>
                    <execution>
                        <id>attach-javadocs</id>
                        <goals>
                            <goal>jar</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>